@echo off
rem Schematron preparation
rem Usage: prepare-sch sch-instance
echo :: Preparing %1.sch as an XSLT stylesheet...
call ..\..\utility\xslt %1.sch ..\..\utility\iso_schematron_assembly.xsl %1.assy.sch 2>prepare-sch.txt
if %errorlevel% neq 0 goto :error
echo :: No Schematron assembly errors
echo :: Preparing XSLT stylesheet...
call ..\..\utility\xslt %1.assy.sch ..\..\utility\Message-Schematron-terminator.xsl %1.xsl 2>prepare-sch.txt
if %errorlevel% neq 0 goto :error
echo :: No XSLT stylesheet preparation errors
goto :done
:error
type prepare-sch.txt
:done